org.apache.solr.analytics.request

## Class AnalyticsContentHandler

- java.lang.Object
- - org.apache.solr.analytics.request.AnalyticsContentHandler

- All Implemented Interfaces:
    ContentHandler

      public class AnalyticsContentHandler
      extends Object
      implements ContentHandler

  Handles the parsing of the AnalysisRequestEnvelope elements if passed in through XML.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `ANALYTICS_REQUEST`
    `String` | `ANALYTICS_REQUEST_ENVELOPE`
    `static boolean` | `DEFAULT_FACET_FIELD_SHOW_MISSING`
    `static boolean` | `DEFAULT_FACET_HARDEND`
    `static int` | `DEFAULT_FACET_LIMIT`
    `static int` | `DEFAULT_FACET_MINCOUNT`
    `String` | `DIRECTION`
    `String` | `END`
    `String` | `EXPRESSION`
    `String` | `FIELD`
    `String` | `FIELD_FACET`
    `String` | `GAP`
    `String` | `HARD_END`
    `String` | `INCLUDE_BOUNDARY`
    `String` | `LIMIT`
    `String` | `MIN_COUNT`
    `String` | `NAME`
    `String` | `OTHER_RANGE`
    `String` | `QUERY`
    `String` | `QUERY_FACET`
    `String` | `RANGE_FACET`
    `String` | `SHOW_MISSING`
    `String` | `SORT_SPECIFICATION`
    `String` | `START`
    `String` | `STAT_NAME`
    `String` | `STATISTIC`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnalyticsContentHandler(IndexSchema schema)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(char[] ch, int start, int length)`
    `void` | `endDocument()`
    `void` | `endElement(String uri, String localName, String qName)`
    `void` | `endPrefixMapping(String prefix)`
    `List<AnalyticsRequest>` | `getAnalyticsRequests()` Returns the list of Analytics Requests built during parsing.
    `void` | `ignorableWhitespace(char[] ch, int start, int length)`
    `void` | `processingInstruction(String target, String data)`
    `void` | `setDocumentLocator(Locator locator)`
    `void` | `skippedEntity(String name)`
    `void` | `startDocument()`
    `void` | `startElement(String uri, String localName, String qName, Attributes atts)`
    `void` | `startPrefixMapping(String prefix, String uri)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ANALYTICS_REQUEST_ENVELOPE

          public final String ANALYTICS_REQUEST_ENVELOPE

      See Also:
        Constant Field Values

    - #### ANALYTICS_REQUEST

          public final String ANALYTICS_REQUEST

      See Also:
        Constant Field Values

    - #### NAME

          public final String NAME

      See Also:
        Constant Field Values

    - #### STATISTIC

          public final String STATISTIC

      See Also:
        Constant Field Values

    - #### EXPRESSION

          public final String EXPRESSION

      See Also:
        Constant Field Values

    - #### FIELD_FACET

          public final String FIELD_FACET

      See Also:
        Constant Field Values

    - #### FIELD

          public final String FIELD

      See Also:
        Constant Field Values

    - #### SHOW_MISSING

          public final String SHOW_MISSING

      See Also:
        Constant Field Values

    - #### LIMIT

          public final String LIMIT

      See Also:
        Constant Field Values

    - #### MIN_COUNT

          public final String MIN_COUNT

      See Also:
        Constant Field Values

    - #### SORT_SPECIFICATION

          public final String SORT_SPECIFICATION

      See Also:
        Constant Field Values

    - #### STAT_NAME

          public final String STAT_NAME

      See Also:
        Constant Field Values

    - #### DIRECTION

          public final String DIRECTION

      See Also:
        Constant Field Values

    - #### RANGE_FACET

          public final String RANGE_FACET

      See Also:
        Constant Field Values

    - #### START

          public final String START

      See Also:
        Constant Field Values

    - #### END

          public final String END

      See Also:
        Constant Field Values

    - #### GAP

          public final String GAP

      See Also:
        Constant Field Values

    - #### INCLUDE_BOUNDARY

          public final String INCLUDE_BOUNDARY

      See Also:
        Constant Field Values

    - #### OTHER_RANGE

          public final String OTHER_RANGE

      See Also:
        Constant Field Values

    - #### HARD_END

          public final String HARD_END

      See Also:
        Constant Field Values

    - #### QUERY_FACET

          public final String QUERY_FACET

      See Also:
        Constant Field Values

    - #### QUERY

          public final String QUERY

      See Also:
        Constant Field Values

    - #### DEFAULT_FACET_LIMIT

          public static final int DEFAULT_FACET_LIMIT

      See Also:
        Constant Field Values

    - #### DEFAULT_FACET_HARDEND

          public static final boolean DEFAULT_FACET_HARDEND

      See Also:
        Constant Field Values

    - #### DEFAULT_FACET_MINCOUNT

          public static final int DEFAULT_FACET_MINCOUNT

      See Also:
        Constant Field Values

    - #### DEFAULT_FACET_FIELD_SHOW_MISSING

          public static final boolean DEFAULT_FACET_FIELD_SHOW_MISSING

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AnalyticsContentHandler

          public AnalyticsContentHandler(IndexSchema schema)

  - ### Method Detail

    - #### setDocumentLocator

          public void setDocumentLocator(Locator locator)

      Specified by:
        `setDocumentLocator` in interface `ContentHandler`

    - #### startDocument

          public void startDocument()
                             throws SAXException

      Specified by:
        `startDocument` in interface `ContentHandler`
      Throws:
        `SAXException`

    - #### endDocument

          public void endDocument()
                           throws SAXException

      Specified by:
        `endDocument` in interface `ContentHandler`
      Throws:
        `SAXException`

    - #### startPrefixMapping

          public void startPrefixMapping(String prefix,
                                         String uri)
                                  throws SAXException

      Specified by:
        `startPrefixMapping` in interface `ContentHandler`
      Throws:
        `SAXException`

    - #### endPrefixMapping

          public void endPrefixMapping(String prefix)
                                throws SAXException

      Specified by:
        `endPrefixMapping` in interface `ContentHandler`
      Throws:
        `SAXException`

    - #### startElement

          public void startElement(String uri,
                                   String localName,
                                   String qName,
                                   Attributes atts)
                            throws SAXException

      Specified by:
        `startElement` in interface `ContentHandler`
      Throws:
        `SAXException`

    - #### endElement

          public void endElement(String uri,
                                 String localName,
                                 String qName)
                          throws SAXException

      Specified by:
        `endElement` in interface `ContentHandler`
      Throws:
        `SAXException`

    - #### characters

          public void characters(char[] ch,
                                 int start,
                                 int length)
                          throws SAXException

      Specified by:
        `characters` in interface `ContentHandler`
      Throws:
        `SAXException`

    - #### ignorableWhitespace

          public void ignorableWhitespace(char[] ch,
                                          int start,
                                          int length)
                                   throws SAXException

      Specified by:
        `ignorableWhitespace` in interface `ContentHandler`
      Throws:
        `SAXException`

    - #### processingInstruction

          public void processingInstruction(String target,
                                            String data)
                                     throws SAXException

      Specified by:
        `processingInstruction` in interface `ContentHandler`
      Throws:
        `SAXException`

    - #### skippedEntity

          public void skippedEntity(String name)
                             throws SAXException

      Specified by:
        `skippedEntity` in interface `ContentHandler`
      Throws:
        `SAXException`

    - #### getAnalyticsRequests

          public List<AnalyticsRequest> getAnalyticsRequests()

      Returns the list of Analytics Requests built during parsing.
      Returns:
        List of `AnalyticsRequest` objects specified by the given XML file

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.